package com.yidianling.consultant.model.bean

import android.os.Parcel
import android.os.Parcelable
import com.google.gson.annotations.SerializedName

data class CateItem(

    @field:SerializedName("cate_name")
    var cateName: String? = null,

    @field:SerializedName("cate_id")
    var cateId: String? = null
) : Parcelable {
    constructor(parcel: Parcel) : this(
        parcel.readString(),
        parcel.readString()
    ) {
    }

    override fun writeToParcel(parcel: Parcel, flags: Int) {
        parcel.writeString(cateName)
        parcel.writeString(cateId)
    }

    override fun describeContents(): Int {
        return 0
    }

    companion object CREATOR : Parcelable.Creator<CateItem> {
        override fun createFromParcel(parcel: Parcel): CateItem {
            return CateItem(parcel)
        }

        override fun newArray(size: Int): Array<CateItem?> {
            return arrayOfNulls(size)
        }
    }
}